require 'assent/config/config'

module Assent
  class Errors
    include Config

    def initialize
      @errors = Hash.new
      super
    end

    def add(field, rule)
      text = String.new(Config.config[rule.to_s])
      replace(text, field)
      @errors[field] ||= []
      @errors[field].push(text)
    end

    def errors
      @errors
    end

    def replace(text, field)
      message = text.sub! ':field', field.to_s
      return message
    end
  end
end
