require 'assent/validations/validations_set'

module Assent
  module Field
    include ValidationsSet

    def self.included(base)
      base.extend ClassMethods
    end

    def add_field(name, options)
      add(name, options)
    end

    module ClassMethods
      include Field

      def field(name, options = {}, &block)
        add_field name, options
      end
    end

  end
end
