module Assent
  module Options

    def self.included(base)
      base.extend ClassMethods
    end

    def self.options
      @options ||= Hash.new
    end

    module ClassMethods
      include Options

      def set(option, value)
        Options.options[option] = value
      end

    end
  end
end
